#
# spec file for package diffutils (Version 2.8.7)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-32bit glibc-devel glibc-locale gpm grep groff gzip help2man info insserv klogd less libacl libattr libcom_err libgcc libgssapi libmudflap libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           diffutils
URL:            http://www.gnu.org/software/diffutils/
License:        GNU General Public License (GPL)
Group:          Productivity/Text/Utilities
BuildRequires:  help2man
Provides:       diff 
Obsoletes:      diff 
Autoreqprov:    on
PreReq:         %{install_info_prereq}
Version:        2.8.7
Release:        17.14
Summary:        GNU diff Utilities
Source:         diffutils-%{version}.tar.gz
Source1:        hu.po
Patch1:         diffutils-2.8.1-i18n-0.2.patch.gz
Patch2:         cmp-eof-dev-null.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The GNU diff utilities find differences between files. diff is used to
make source code patches, for instance.



Authors:
--------
    Paul Eggert <eggert@twinsun.com>
    David J. MacKenzie <djm@gnu.org>
    Richard Stallman <rms@gnu.org>
    Roland McGrath <roland@gnu.org>

%debug_package
%prep
%setup
%patch1 -p1
cd src
%patch2
cd ..
cp %{S:1} po

%build
autoreconf -fi
./configure CFLAGS="$RPM_OPT_FLAGS" \
	    --prefix=/usr --infodir=%{_infodir} --mandir=%{_mandir}
make
make -C po update-gmo

%install
make install DESTDIR="$RPM_BUILD_ROOT"
%find_lang %name

%post
%install_info --info-dir=%{_infodir} %{_infodir}/diff.info.gz

%postun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/diff.info.gz

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README THANKS
/usr/bin/cmp
/usr/bin/diff
/usr/bin/diff3
/usr/bin/sdiff
%doc %{_infodir}/diff.info*.gz
%doc %{_mandir}/man1/*.gz

%changelog
* Mon Feb 12 2007 - schwab@suse.de
- Update Hungarian translation [#244573].
* Thu Oct 05 2006 - mjancar@suse.cz
- readd help2man to BuildRequires (needed to build manpages) [#223903].
* Fri Aug 11 2006 - schwab@suse.de
- Update cmp patch [#198332].
* Mon Jul 24 2006 - rguenther@suse.de
- diffutils does not need help2man.
* Fri Mar 10 2006 - schwab@suse.de
- Fix output of EOF message when stdout is redirected to /dev/null.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Sep 15 2004 - schwab@suse.de
- Readd mbrtowc check [#45308].
* Tue May 04 2004 - schwab@suse.de
- Update to diffutils 2.8.7.
* Tue Apr 13 2004 - schwab@suse.de
- Update to diffutils 2.8.6.
* Sat Jan 10 2004 - adrian@suse.de
- build as user
* Wed Oct 15 2003 - schwab@suse.de
- Update to diffutils 2.8.4.
* Mon May 12 2003 - schwab@suse.de
- Add %%defattr.
* Thu Apr 24 2003 - ro@suse.de
- fix install_info --delete call and move from preun to postun
* Mon Apr 07 2003 - schwab@suse.de
- Only delete info entries when removing last version.
* Thu Feb 06 2003 - schwab@suse.de
- Use %%install_info.
* Thu Sep 05 2002 - schwab@suse.de
- Avoid rebuilding manpage [#18930].
* Tue Aug 20 2002 - schwab@suse.de
- Add i18n patches.
* Mon Apr 08 2002 - schwab@suse.de
- Update to diffutils 2.8.1.
  * Documentation fixes.
* Thu Mar 28 2002 - schwab@suse.de
- Update to diffutils 2.8.
* Fri Oct 05 2001 - schwab@suse.de
- Update to diffutils 2.7.2.
* Sat Jan 13 2001 - schwab@suse.de
- Fix last change to close resource leaks.
* Sat Jan 13 2001 - draht@suse.de
- tmpfile security problem fixed using mkstemp().
* Sun Dec 03 2000 - schwab@suse.de
- diff: Fix a corner case in handling of directories.
- sdiff: Fix reading of split lines.
* Tue Oct 24 2000 - schwab@suse.de
- Renamed from diff.
* Fri Sep 08 2000 - schwab@suse.de
- Switch to BuildRoot.
- Add group tag.
- Use %%{_infodir}.
* Tue Jan 18 2000 - schwab@suse.de
- /usr/info -> /usr/share/info
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Sep 08 1999 - schwab@suse.de
- specfile cleanup
* Fri Dec 18 1998 - ro@suse.de
- dont use m486 on alpha :-)
* Thu Jan 02 1997 - florian@suse.de
  bug-fix for sdiff
